<?php
/**
 * Block Patterns
 *
 * @package outdoor_kitchen
 * @since 1.0
 */

function outdoor_kitchen_register_block_patterns() {
	$outdoor_kitchen_block_pattern_categories = array(
		'outdoor-kitchen' => array( 'label' => esc_html__( 'Outdoor Kitchen', 'outdoor-kitchen' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'outdoor-kitchen' ) ),
	);

	$outdoor_kitchen_block_pattern_categories = apply_filters( 'outdoor_kitchen_outdoor_kitchen_block_pattern_categories', $outdoor_kitchen_block_pattern_categories );

	foreach ( $outdoor_kitchen_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'outdoor_kitchen_register_block_patterns', 9 );